Mathieu
Malaterre
Main developer
2006
2011
Mathieu Malaterre
gdcmtar
1
GDCM
&version;
DICOM Manipulation.

# gdcmtar

Concatenate/Extract DICOM files.

## SYNOPSIS

    gdcmtar [options] file-in file-out

## DESCRIPTION

The gdcmtar is a command line tool used to tar/untar multi-frames images (including SIEMENS MOSAIC file)

## PARAMETERS

    file-in   DICOM input filename

    file-out  DICOM output filename

## OPTIONS

### specific options

         --enhance    enhance (default)
      -U --unenhance  unenhance
      -M --mosaic     Split SIEMENS Mosaic image into multiple frames.
      -p --pattern    Specify trailing file pattern.
         --root-uid        Root UID.

### general options

      -h   --help
             print this help text and exit

      -v   --version
             print version information and exit

      -V   --verbose
             verbose mode (warning+error).

      -W   --warning
             warning mode, print warning information

      -E   --error
             error mode, print error information

      -D   --debug
             debug mode, print debug information

### environment variable

      GDCM_ROOT_UID Root UID

## Typical usage

### SIEMENS Mosaic

    $ gdcminfo MR-sonata-3D-as-Tile.dcm

    MediaStorage is 1.2.840.10008.5.1.4.1.1.4 [MR Image Storage]
    TransferSyntax is 1.2.840.10008.1.2.1 [Explicit VR Little Endian]
    NumberOfDimensions: 2
    Dimensions: (384,384,1)
    ...

    $ gdcmtar --mosaic -i MR-sonata-3D-as-Tile.dcm -o mosaic --pattern %03d.dcm

Will output:

    -rw-r--r--   1 mathieu mathieu 72882 2009-08-10 11:14 mosaic000.dcm
    -rw-r--r--   1 mathieu mathieu 72886 2009-08-10 11:14 mosaic001.dcm
    -rw-r--r--   1 mathieu mathieu 72886 2009-08-10 11:14 mosaic002.dcm
    -rw-r--r--   1 mathieu mathieu 72886 2009-08-10 11:14 mosaic003.dcm
    -rw-r--r--   1 mathieu mathieu 72886 2009-08-10 11:14 mosaic004.dcm
    -rw-r--r--   1 mathieu mathieu 72886 2009-08-10 11:14 mosaic005.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic006.dcm
    -rw-r--r--   1 mathieu mathieu 72882 2009-08-10 11:14 mosaic007.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic008.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic009.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic010.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic011.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic012.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic013.dcm
    -rw-r--r--   1 mathieu mathieu 72882 2009-08-10 11:14 mosaic014.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic015.dcm
    -rw-r--r--   1 mathieu mathieu 72882 2009-08-10 11:14 mosaic016.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic017.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic018.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic019.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic020.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic021.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic022.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic023.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic024.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic025.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic026.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic027.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic028.dcm
    -rw-r--r--   1 mathieu mathieu 72884 2009-08-10 11:14 mosaic029.dcm
    -rw-r--r--   1 mathieu mathieu 72882 2009-08-10 11:14 mosaic030.dcm

    $ gdcminfo mosaic000.dcm

    MediaStorage is 1.2.840.10008.5.1.4.1.1.4 [MR Image Storage]
    TransferSyntax is 1.2.840.10008.1.2.1 [Explicit VR Little Endian]
    NumberOfDimensions: 2
    Dimensions: (64,64,1)
    ...

## SEE ALSO

gdcmdump(1), gdcmraw(1), gdcminfo(1)